services:
    pim_connector.array_converter.flat_to_standard.user:
        class: 'Akeneo\UserManagement\Component\Connector\ArrayConverter\FlatToStandard\User'
        arguments:
            - '@pim_connector.array_convertor.checker.fields_requirement'

    pim_connector.array_converter.flat_to_standard.user_group:
        class: '%pim_connector.array_converter.dummy.class%'
        arguments:
            - '@pim_connector.array_convertor.checker.fields_requirement'
            - ['name']
            - ['name']

    pim_connector.array_converter.flat_to_standard.user_role:
        class: '%pim_connector.array_converter.dummy.class%'
        arguments:
            - '@pim_connector.array_convertor.checker.fields_requirement'
            - ['role', 'label']
            - ['role', 'label']

    pim_connector.array_converter.flat_to_standard.import.user_role:
        class: 'Akeneo\UserManagement\Component\Connector\ArrayConverter\FlatToStandard\RoleWithPermissions'
        arguments:
            - '@pim_connector.array_convertor.checker.fields_requirement'

    pim_connector.array_converter.standard_to_flat.user:
        class: 'Akeneo\UserManagement\Component\Connector\ArrayConverter\StandardToFlat\User'

    pim_connector.array_converter.standard_to_flat.user_group:
        class: '%pim_connector.array_converter.dummy.class%'
        arguments:
            - '@pim_connector.array_convertor.checker.fields_requirement'
            - [ 'name' ]
            - [ 'name' ]

    pim_connector.array_converter.standard_to_flat.user_role:
        class: 'Akeneo\UserManagement\Component\Connector\ArrayConverter\StandardToFlat\Role'
        arguments:
            - '@pim_connector.array_convertor.checker.fields_requirement'
